package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.po.CsTerminalLogs;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2025-09-26
 */
public interface ICsTerminalLogsService extends IService<CsTerminalLogs> {

    /**
     * 更新台账操作日志信息
     */
    void updateLogs(String id, Integer code);

    /**
     * 推送台账操作日志信息
     */
    String pushCldInfo();

    void updateLaterData(String id, String code);

}
